petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSDestroy

Destroys a PetscDS object

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSDestroy(PetscDS *prob)

Collective on PetscDS

### Input Parameter

prob -the PetscDS object to destroy

### See Also

PetscDSView()

### Level

developer

### Location

src/dm/dt/interface/dtds.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages